Infai

Upload copyrighted songs

Endpoint: POST https://infai.cc/suno/uploads/audio

Upload copyrighted audio to Suno for continue/Persona and related operations.

Request body (application/json)

  • name (string, required): song title
  • speed_multiplier (number, required): Adjust the speed before uploading, the value range is [0.25, 2.0]
  • speed_multiplier_fix (boolean, required): Whether to fix speed. true=restore the original speed; false=retain the speed after speed adjustment
  • upload_type (string, required): Upload type. NORMAL=normal upload (free); MUSIC_COPYRIGHT=copyright upload (consumes 30 points). Fill in MUSIC_COPYRIGHT for this interface ["NORMAL", "MUSIC_COPYRIGHT"]
  • url (string, required): Refer to the source URL of the audio file, such as https://cdn1.suno.ai/xxx.mp3
  • expect_ai_model (string): Which model the upload is for. Set ace when uploading reference audio for an ACE cover (the upload has no mv, so the gateway cannot infer it); only ace is accepted ["ace"]

Request example

{
  "expect_ai_model": "ace",
  "name": "参考音频01",
  "speed_multiplier": 1,
  "speed_multiplier_fix": true,
  "upload_type": "NORMAL",
  "url": "https://example.com/your-song.mp3"
}